// vim: set tw=80 ts=2 sw=2 sts=2:

import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Rx';

import { Restangular } from "ngx-restangular";

import { Category } from './category';

@Injectable()
export class CategoryService {
  constructor(
    private restangular: Restangular
  ) {}

  query(id: number, minDate: Date = null, maxDate: Date = null): Observable<Category[]> {
    return this.restangular.one('account', id).getList('category', {
      begin: minDate,
      end: maxDate
    });
  }
}
